Bug 243769 - devel/pecl-uploadprogress: Update to 1.1.3
Summary: devel/pecl-uploadprogress: Update to 1.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: buildisok, needs-qa
Depends on:
Blocks:
 
Reported: 2020-02-01 04:43 UTC by Daniel Morante
Modified: 2020-02-03 19:54 UTC (History)
0 users

See Also:


Attachments
SVN diff (1.13 KB, patch)
2020-02-01 04:43 UTC, Daniel Morante
daniel: maintainer-approval+
Details | Diff
SVN diff (1.08 KB, patch)
2020-02-02 19:39 UTC, Daniel Morante
daniel: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Morante 2020-02-01 04:43:23 UTC
Created attachment 211232 [details]
SVN diff

Update to 1.1.3
Comment 1 Steve Wills freebsd_committer 2020-02-01 05:12:07 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/114134215
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-02-01 12:15:09 UTC
(In reply to Daniel Morante from comment #0)

Is there any reason not to use the tarball (uploadprogress-1.1.3.tgz) from pecl.php.net? It's the default for pecl- ports. And Makefile looks as simple as follows:

PORTNAME=       uploadprogress
DISTVERSION=    1.1.3
CATEGORIES=     devel pear

MAINTAINER=     daniel@morante.net
COMMENT=        Provides track progress of a file upload

LICENSE=        PHP301

USES=           php:pecl

.include <bsd.port.mk>
Comment 3 Daniel Morante 2020-02-02 19:38:42 UTC
Ah yeah, I forgot that since this is a release it was also getting published on pecl.php.net.
Comment 4 Daniel Morante 2020-02-02 19:39:44 UTC
Created attachment 211298 [details]
SVN diff
Comment 5 commit-hook freebsd_committer 2020-02-03 19:48:17 UTC
A commit references this bug:

Author: sunpoet
Date: Mon Feb  3 19:48:03 UTC 2020
New revision: 525087
URL: https://svnweb.freebsd.org/changeset/ports/525087

Log:
  Update to 1.1.3

  - While I'm here:
    - Change to default pecl- ports layout
    - Add LICENSE_FILE

  Changes:	https://pecl.php.net/package-changelog.php?package=uploadprogress
  PR:		243769
  Submitted by:	Daniel Morante <daniel@morante.net> (maintainer)

Changes:
  head/devel/pecl-uploadprogress/Makefile
  head/devel/pecl-uploadprogress/distinfo
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-02-03 19:54:57 UTC
Committed. Thanks!